PATCH /teams/{teamId}/tasks/{id}/deliverables/{did}
Gate de escrita → body → merge validado no repo (kind imutável).
- Access: Team member
- Service:
https://api-workspace.axuz.net
Accepted authentication
sessionCookie— Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.bearerSession— JWT de acesso da sessão em `Authorization: Bearer`.
Gate de escrita → body → merge validado no repo (kind imutável).
updateDeliverableHandler — PATCH .../deliverables/{did}.
Retorno: 200; 400; 403; 404; 413; 422; 500.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamId | path | string | yes | |
id | path | string | yes | |
did | path | string | yes |
Request body
application/json · Required
| Name | Type | Required | Description |
|---|---|---|---|
kind | string | no | Obrigatorio no POST; imutavel no PATCH enum: |
title | string | no | |
body | string | no | markdown (kind=text) |
url | string | no | https (kind=link) |
file | DeliverableFile | no | |
file.file_id | string<uuid> | yes | |
file.name | string | yes | |
file.mime | string | yes | |
file.size | integer | yes | |
position | number | no |
{
"kind": "text",
"title": "string",
"body": "string",
"url": "string",
"file": {
"file_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"mime": "string",
"size": 1
},
"position": 1
}Responses
200
OK
| Name | Type | Required | Description |
|---|---|---|---|
id | string<uuid> | yes | |
team_id | string<uuid> | yes | |
task_id | string<uuid> | yes | |
kind | string | yes | enum: |
title | string | no | |
body | string | no | markdown CRU (a sanitizacao e na renderizacao) |
url | string | no | |
file | DeliverableFile | no | |
file.file_id | string<uuid> | yes | |
file.name | string | yes | |
file.mime | string | yes | |
file.size | integer | yes | |
position | number | yes | |
created_by | string<uuid> | yes | |
created_at | string<date-time> | yes | |
updated_at | string<date-time> | yes |
400
Erro ({"error": "..."})
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
401
Sem credencial valida
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
403
Erro ({"error": "..."})
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
404
Erro ({"error": "..."})
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
413
Erro ({"error": "..."})
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
422
Erro ({"error": "..."})
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Ver descrição
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X PATCH 'https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/deliverables/DID' \
-H "Authorization: Bearer $AXUZ_TOKEN" \
-H "Content-Type: application/json" \
-d '{"kind":"text","title":"string","body":"string","url":"string","file":{"file_id":"00000000-0000-0000-0000-000000000000","name":"string","mime":"string","size":1},"position":1}'Node.js
const res = await fetch("https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/deliverables/DID", {
method: 'PATCH',
headers: {
Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"kind": "text",
"title": "string",
"body": "string",
"url": "string",
"file": {
"file_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"mime": "string",
"size": 1
},
"position": 1
}),
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"PATCH",
"https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/deliverables/DID",
headers={
"Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
},
json={
"kind": "text",
"title": "string",
"body": "string",
"url": "string",
"file": {
"file_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"mime": "string",
"size": 1,
},
"position": 1,
},
timeout=30,
)
res.raise_for_status()
print(res.json())